using Microsoft.EntityFrameworkCore;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models.Entities {
    [Table("AT_gem"), PrimaryKey("Gkz")]
    public class AT_Gem {
        [Column("gkz")]
        public int Gkz { get; private set; }

        [Column("name")]
        public string Name { get; private set; } = null!;

        [InverseProperty(nameof(AT_Kg.Gem))]
        public virtual ICollection<AT_Kg> Kgs { get; private set; } = null!;

        [InverseProperty(nameof(WbGem.AtGem))]
        public virtual WbGem? WbGem { get; private set; }
    }
}
